Get api v1 referrals uuid Run in API Explorer
Ask AI
GET
/api/v1/referrals/{uuid}
curl \
--request GET 'https://api.plannrcrm.com/api/v1/referrals/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "6bcf7192-59fe-4151-98c4-6aa3b4b53c3e",
"direction": "sent",
"connection": {
"uuid": "abc-123"
},
"clients": [
{
"uuid": "client-uuid-1",
"name": "John Doe"
}
],
"cloned_clients": [
{
"uuid": "cloned-uuid-1",
"name": "John Doe"
}
],
"advice_type": "investments",
"duration_months": 3,
"shared_data": [
"basic_details",
"contact_details"
],
"note": "Client needs help with retirement planning.",
"sla_deadline": "2026-02-28",
"status": "pending",
"rejection_reason": "Unable to take on new clients.",
"sender_firm": {
"uuid": "abc-123",
"name": "Sender Firm Name"
},
"recipient_firm": {
"uuid": "def-456",
"name": "Recipient Firm Name"
},
"sender_account": {
"uuid": "1dc8f3ca-6b39-46cc-aac7-208170ec0348",
"created_at": "2026-11-19T12:59:39+00:00",
"updated_at": "2026-11-19T12:59:39+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "c9ff37a3-269e-4b25-b9df-3d0865c60180",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"recipient_account": {
"uuid": "fbcf573b-83e9-46e6-bee6-27068cc8b86a",
"created_at": "2026-11-19T12:59:39+00:00",
"updated_at": "2026-11-19T12:59:39+00:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": {
"uuid": "c9ff37a3-269e-4b25-b9df-3d0865c60180",
"created_at": "2026-11-19T12:59:45+00:00",
"updated_at": "2026-11-19T12:59:45+00:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"created_at": "2026-11-19T12:59:39+00:00",
"updated_at": "2026-11-19T12:59:39+00:00",
"expires_at": "2027-02-19T12:59:39+00:00"
}